Subject: Re: >=2.6.17-rc4-mm1 kernel compilation problem (relocation truncated to fit)

From: Nathan Pilatzke <[email-masked]>
Date: Wed, 31 May 2006 13:34:14 -0400

Applied the patch, did a 'make clean' and 'make'.  The patch had no
effect for me, exact same errors.

H. Peter Anvin wrote:
> Nathan Pilatzke wrote:
>> I am getting compilation errors for 2.6.17-rc5-mm1 all the way back to
>> 2.6.17-rc4-mm1.  Kernel 2.6.17-rc3-mm1 compiles better for me (I get the
>> undefined reference to __udivdi3 error that has been reported
>> previously).  Here are the errors that I get for 2.6.17-rc5-mm1:
>>
> 
> Could you try the following patch?
> 
>     -hpa
> 
> 
> ------------------------------------------------------------------------
> 
> diff --git a/usr/klibc/arch/ppc/MCONFIG b/usr/klibc/arch/ppc/MCONFIG
> index 8b51e65..e101453 100644
> --- a/usr/klibc/arch/ppc/MCONFIG
> +++ b/usr/klibc/arch/ppc/MCONFIG
> @@ -13,9 +13,9 @@ KLIBCBITSIZE  = 32
>  # Extra linkflags when building the shared version of the library
>  # This address needs to be reachable using normal inter-module
>  # calls, and work on the memory models for this architecture
> -# 256-16 MB - normal binaries start at 256 MB, and jumps are limited
> +# 256-8 MB - normal binaries start at 256 MB, and jumps are limited
>  # to +/- 16 MB
> -KLIBCSHAREDFLAGS     = -Ttext 0x0f000200
> +KLIBCSHAREDFLAGS     = -Ttext 0x0f800200
>  
>  # The kernel so far has both asm-ppc* and asm-powerpc.
>  KLIBCARCHINCFLAGS = -I$(KLIBCKERNELOBJ)arch/$(KLIBCARCH)/include